Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.dom.client
Class HandlesAllMouseEvents

    java.lang.Object
      com.google.gwt.event.dom.client.HandlesAllMouseEvents

All Implemented Interfaces:
  MouseDownHandler, MouseMoveHandler, MouseOutHandler, MouseOverHandler, MouseUpHandler, MouseWheelHandler, EventHandler

    public abstract class HandlesAllMouseEvents

extends java.lang.Object
implements MouseDownHandler, MouseUpHandler, MouseMoveHandler, MouseOutHandler, MouseOverHandler, MouseWheelHandler

Receiver used to handle all mouse events at once. WARNING, PLEASE READ: As this class is intended for developers who wish to handle all mouse events in GWT, new mouse handler interfaces will be added to it. Therefore, updates to GWT could cause breaking API changes.

Constructor Summary
`HandlesAllMouseEvents()` Constructor.

Method Summary
`void` | `handle(HasAllMouseHandlers eventSource)` Convenience method to handle all mouse events from an event source.
`static
`<H extends MouseDownHandler & MouseUpHandler & MouseOutHandler & MouseOverHandler & MouseMoveHandler & MouseWheelHandler> void`
` | `handle(HasAllMouseHandlers source, H reciever)` Convenience method used to handle all mouse events from an event source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.dom.client.MouseDownHandler
`onMouseDown`

Methods inherited from interface com.google.gwt.event.dom.client.MouseUpHandler
`onMouseUp`

Methods inherited from interface com.google.gwt.event.dom.client.MouseMoveHandler
`onMouseMove`

Methods inherited from interface com.google.gwt.event.dom.client.MouseOutHandler
`onMouseOut`

Methods inherited from interface com.google.gwt.event.dom.client.MouseOverHandler
`onMouseOver`

Methods inherited from interface com.google.gwt.event.dom.client.MouseWheelHandler
`onMouseWheel`

Constructor Detail

### HandlesAllMouseEvents

    public HandlesAllMouseEvents()

  Constructor.

Method Detail

### handle

    public static <H extends MouseDownHandler & MouseUpHandler & MouseOutHandler & MouseOverHandler & MouseMoveHandler & MouseWheelHandler> void handle(HasAllMouseHandlers source,
                                                                                                                                                   H reciever)

  Convenience method used to handle all mouse events from an event source.

  Type Parameters:
    `H` - receiver type, must implement all mouse handlers
  Parameters:
    `source` - the event source
    `reciever` - the receiver implementing all mouse handlers

### handle

    public void handle(HasAllMouseHandlers eventSource)

  Convenience method to handle all mouse events from an event source.

  Parameters:
    `eventSource` - the event source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD